class S3Config:
    def __init__(self, path: str = None) -> None:
        if path is None:
            path = "/etc/globus/globus-gridftp-server-s3.conf"

        self.path = path
        self.host_name = "s3.amazonaws.com"
        self.s3_map_filename = "$HOME/.globus/s3"
        self.use_https = True

        with open(path, "r") as f:
            for line in f:
                line = line.split("#", 1)[0].strip()
                if line and "=" in line:
                    k, v = line.split("=", 1)
                    k = k.strip()
                    v = v.strip()
                    v = v.strip('"')

                    if k == "host_name":
                        self.host_name = v
                    elif k == "s3_map_filename":
                        self.s3_map_filename = v
                    elif k == "use_https":
                        self.use_https = bool(v)
